Bug 1251318 - (CVE-2015-4495) CVE-2015-4495 Mozilla: Same origin violation and local file stealing via PDF reader (MFSA 2015-78)
CVE-2015-4495 Mozilla: Same origin violation and local file stealing via PDF ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150806,repo...
: Security
Depends On:
Blocks: 1249531
  Show dependency treegraph
 
Reported: 2015-08-06 20:47 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-20 16:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was discovered in Mozilla Firefox that could be used to violate the same-origin policy and inject web script into a non-privileged part of the built-in PDF file viewer (PDF.js). An attacker could create a malicious web page that, when viewed by a victim, could steal arbitrary files (including private SSH keys, the /etc/passwd file, and other potentially sensitive files) from the system running Firefox.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-07 23:59:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-06 20:47:31 EDT
Security researcher Cody Crews reported on a way to violate the same origin policy and inject script into a non-privileged part of the built-in PDF Viewer. This would allow an attacker to read and steal sensitive local files on the victim's computer.

Mozilla has received reports that an exploit based on this vulnerability has been found in the wild. 

External References:

https://www.mozilla.org/security/announce/2015/mfsa2015-78.html
https://access.redhat.com/articles/1563163
https://blog.mozilla.org/security/2015/08/06/firefox-exploit-found-in-the-wild/

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Cody Crews as the original reporter.
Comment 2 errata-xmlrpc 2015-08-07 19:08:12 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1581 https://rhn.redhat.com/errata/RHSA-2015-1581.html
Comment 3 Huzaifa S. Sidhpurwala 2015-08-10 04:10:18 EDT
Note:

The Firefox package shipped with Red Hat Enterprise Linux 5, 6 and 7 is not confined by selinux (runs in unconfined_t domain). Processes running in unconfined_t domain get complete access to the system and are only restricted by the conventional DAC system. (restricted by file system permissions, acls etc)

This security flaw could therefore be exploited to steal files, which the user running firefox has access to, and cannot be mitigated by enabling selinux.

There are several resources available which deal which confining firefox by using selinux (with different success rates):

http://people.redhat.com/tscherf/articles/lm_en_selinux.pdf
http://danwalsh.livejournal.com/15700.html
http://danwalsh.livejournal.com/28545.html

Note You need to log in before you can comment on or make changes to this bug.